diff --git a/web/pgadmin/tools/debugger/static/js/debugger_ui.js b/web/pgadmin/tools/debugger/static/js/debugger_ui.js
index 339af36f..3a35cebb 100644
--- a/web/pgadmin/tools/debugger/static/js/debugger_ui.js
+++ b/web/pgadmin/tools/debugger/static/js/debugger_ui.js
@@ -503,193 +588,199 @@ define([
 
               this.grid.collection.each(function(m) {
 
-                  // Check if value is set to NULL then we should ignore the value field
-                  if (m.get('is_null')) {
-                    args_value_list.push({ 'name': m.get('name'),
-                                       'type': m.get('type'),
-                                       'value': 'NULL'});
-                  }
-                  else {
-                    // Check if default value to be used or not
-                    if (m.get('use_default')) {
-                      args_value_list.push({ 'name': m.get('name'),
-                                       'type': m.get('type'),
-                                       'value': m.get('default_value')});
-                    }
-                    else {
-                      args_value_list.push({ 'name': m.get('name'),
-                                       'type': m.get('type'),
-                                       'value': m.get('value')});
-                    }
-                  }
-
-                  if (self.restart_debug == 0) {
-                    var f_id;
-                    if (d._type == "function") {
-                      f_id = treeInfo.function._id;
-                    }
-                    else if (d._type == "procedure") {
-                      f_id = treeInfo.procedure._id;
-                    }
-                    else if (d._type == "edbfunc") {
-                      f_id = treeInfo.edbfunc._id;
-                    }
-                    else if (d._type == "edbproc") {
-                      f_id = treeInfo.edbproc._id;
-                    }
-
-                    // Below will format the data to be stored in sqlite database
-                    sqlite_func_args_list.push({
-                      'server_id': treeInfo.server._id,
-                      'database_id': treeInfo.database._id,
-                      'schema_id': treeInfo.schema._id ,
-                      'function_id': f_id,
-                      'arg_id': self.input_arg_id[int_count],
-                      'is_null': m.get('is_null')  ? 1 : 0,
-                      'is_expression': m.get('expr') ? 1 : 0,
-                      'use_default': m.get('use_default') ? 1 : 0,
-                      'value': m.get('value')
+                // Check if value is set to NULL then we should ignore the value field
+                if (m.get('is_null')) {
+                  args_value_list.push({
+                    'name': m.get('name'),
+                    'type': m.get('type'),
+                    'value': 'NULL',
+                  });
+                } else {
+                  // Check if default value to be used or not
+                  if (m.get('use_default')) {
+                    args_value_list.push({
+                      'name': m.get('name'),
+                      'type': m.get('type'),
+                      'value': m.get('default_value'),
                     });
-                  }
-                  else {
-                    // Below will format the data to be stored in sqlite database
-                    sqlite_func_args_list.push({
-                      'server_id': self.data.server_id,
-                      'database_id': self.data.database_id,
-                      'schema_id': self.data.schema_id ,
-                      'function_id': self.data.function_id,
-                      'arg_id': self.input_arg_id[int_count],
-                      'is_null': m.get('is_null')  ? 1 : 0,
-                      'is_expression': m.get('expr') ? 1 : 0,
-                      'use_default': m.get('use_default') ? 1 : 0,
-                      'value': m.get('value')
+                  } else {
+                    args_value_list.push({
+                      'name': m.get('name'),
+                      'type': m.get('type'),
+                      'value': m.get('value'),
                     });
                   }
+                }
+
+                if (self.restart_debug == 0) {
+                  var f_id;
+                  if (d._type == 'function') {
+                    f_id = treeInfo.function._id;
+                  } else if (d._type == 'procedure') {
+                    f_id = treeInfo.procedure._id;
+                  } else if (d._type == 'edbfunc') {
+                    f_id = treeInfo.edbfunc._id;
+                  } else if (d._type == 'edbproc') {
+                    f_id = treeInfo.edbproc._id;
+                  }
+
+                  // Below will format the data to be stored in sqlite database
+                  sqlite_func_args_list.push({
+                    'server_id': treeInfo.server._id,
+                    'database_id': treeInfo.database._id,
+                    'schema_id': treeInfo.schema._id,
+                    'function_id': f_id,
+                    'arg_id': self.input_arg_id[int_count],
+                    'is_null': m.get('is_null') ? 1 : 0,
+                    'is_expression': m.get('expr') ? 1 : 0,
+                    'use_default': m.get('use_default') ? 1 : 0,
+                    'value': m.get('value'),
+                  });
+                } else {
+                  // Below will format the data to be stored in sqlite database
+                  sqlite_func_args_list.push({
+                    'server_id': self.data.server_id,
+                    'database_id': self.data.database_id,
+                    'schema_id': self.data.schema_id,
+                    'function_id': self.data.function_id,
+                    'arg_id': self.input_arg_id[int_count],
+                    'is_null': m.get('is_null') ? 1 : 0,
+                    'is_expression': m.get('expr') ? 1 : 0,
+                    'use_default': m.get('use_default') ? 1 : 0,
+                    'value': m.get('value'),
+                  });
+                }
 
-                  int_count = int_count + 1;
+                int_count = int_count + 1;
               });
 
+              var baseUrl;
+
               // If debugging is not started again then we should initialize the target otherwise not
               if (self.restart_debug == 0) {
-                var baseUrl;
-                if (d._type == "function") {
+                if (d._type == 'function') {
                   baseUrl = url_for('debugger.initialize_target_for_function', {
-                                  'debug_type': 'direct',
-                                  'sid': treeInfo.server._id,
-                                  'did': treeInfo.database._id,
-                                  'scid': treeInfo.schema._id,
-                                  'func_id': treeInfo.function._id
-                                });
-                }
-                else if (d._type == "procedure") {
+                    'debug_type': 'direct',
+                    'sid': treeInfo.server._id,
+                    'did': treeInfo.database._id,
+                    'scid': treeInfo.schema._id,
+                    'func_id': treeInfo.function._id,
+                  });
+                } else if (d._type == 'procedure') {
                   baseUrl = url_for('debugger.initialize_target_for_function', {
-                                  'debug_type': 'direct',
-                                  'sid': treeInfo.server._id,
-                                  'did': treeInfo.database._id,
-                                  'scid': treeInfo.schema._id,
-                                  'func_id': treeInfo.procedure._id
-                                });
-                }
-                else if (d._type == "edbfunc") {
+                    'debug_type': 'direct',
+                    'sid': treeInfo.server._id,
+                    'did': treeInfo.database._id,
+                    'scid': treeInfo.schema._id,
+                    'func_id': treeInfo.procedure._id,
+                  });
+                } else if (d._type == 'edbfunc') {
                   baseUrl = url_for('debugger.initialize_target_for_function', {
-                                  'debug_type': 'direct',
-                                  'sid': treeInfo.server._id,
-                                  'did': treeInfo.database._id,
-                                  'scid': treeInfo.schema._id,
-                                  'func_id': treeInfo.edbfunc._id
-                                });
-                }
-                else if (d._type == "edbproc") {
+                    'debug_type': 'direct',
+                    'sid': treeInfo.server._id,
+                    'did': treeInfo.database._id,
+                    'scid': treeInfo.schema._id,
+                    'func_id': treeInfo.edbfunc._id,
+                  });
+                } else if (d._type == 'edbproc') {
                   baseUrl = url_for('debugger.initialize_target_for_function', {
-                                  'debug_type': 'direct',
-                                  'sid': treeInfo.server._id,
-                                  'did': treeInfo.database._id,
-                                  'scid': treeInfo.schema._id,
-                                  'func_id': treeInfo.edbproc._id
-                                });
+                    'debug_type': 'direct',
+                    'sid': treeInfo.server._id,
+                    'did': treeInfo.database._id,
+                    'scid': treeInfo.schema._id,
+                    'func_id': treeInfo.edbproc._id,
+                  });
                 }
 
                 $.ajax({
                   url: baseUrl,
                   method: 'POST',
-                  data:{'data':JSON.stringify(args_value_list)},
+                  data: {
+                    'data': JSON.stringify(args_value_list),
+                  },
                   success: function(res) {
 
-                    var url = url_for('debugger.direct', {'trans_id': res.data.debuggerTransId});
+                    var url = url_for(
+                      'debugger.direct', {
+                        'trans_id': res.data.debuggerTransId,
+                      }
+                    );
 
                     if (res.data.newBrowserTab) {
                       window.open(url, '_blank');
                     } else {
                       pgBrowser.Events.once(
-                        'pgadmin-browser:frame:urlloaded:frm_debugger', function(frame) {
-                        frame.openURL(url);
-                      });
+                        'pgadmin-browser:frame:urlloaded:frm_debugger',
+                        function(frame) {
+                          frame.openURL(url);
+                        });
 
                       // Create the debugger panel as per the data received from user input dialog.
                       var dashboardPanel = pgBrowser.docker.findPanels('properties'),
-                          panel = pgBrowser.docker.addPanel(
-                            'frm_debugger', wcDocker.DOCK.STACKED, dashboardPanel[0]
-                          );
+                        panel = pgBrowser.docker.addPanel(
+                          'frm_debugger', wcDocker.DOCK.STACKED, dashboardPanel[0]
+                        );
 
                       panel.focus();
 
                       // Panel Closed event
                       panel.on(wcDocker.EVENT.CLOSED, function() {
-                        var closeUrl = url_for('debugger.close', {'trans_id': res.data.debuggerTransId});
+                        var closeUrl = url_for('debugger.close', {
+                          'trans_id': res.data.debuggerTransId,
+                        });
                         $.ajax({
                           url: closeUrl,
-                          method: 'DELETE'
+                          method: 'DELETE',
                         });
                       });
                     }
-
-                    if (d._type == "function") {
-                      var _Url = url_for('debugger.set_arguments', {
-                                  'sid': treeInfo.server._id,
-                                  'did': treeInfo.database._id,
-                                  'scid': treeInfo.schema._id,
-                                  'func_id': treeInfo.function._id,
-                                 });
-                    }
-                    else if (d._type == "procedure") {
-                      var _Url = url_for('debugger.set_arguments', {
-                                  'sid': treeInfo.server._id,
-                                  'did': treeInfo.database._id,
-                                  'scid': treeInfo.schema._id,
-                                  'func_id': treeInfo.procedure._id,
-                                 });
-                    }
-                    else if (d._type == "edbfunc") {
+                    var _Url;
+
+                    if (d._type == 'function') {
+                      _Url = url_for('debugger.set_arguments', {
+                        'sid': treeInfo.server._id,
+                        'did': treeInfo.database._id,
+                        'scid': treeInfo.schema._id,
+                        'func_id': treeInfo.function._id,
+                      });
+                    } else if (d._type == 'procedure') {
+                      _Url = url_for('debugger.set_arguments', {
+                        'sid': treeInfo.server._id,
+                        'did': treeInfo.database._id,
+                        'scid': treeInfo.schema._id,
+                        'func_id': treeInfo.procedure._id,
+                      });
+                    } else if (d._type == 'edbfunc') {
                       // Get the existing function parameters available from sqlite database
-                      var _Url = url_for('debugger.set_arguments', {
-                                  'sid': treeInfo.server._id,
-                                  'did': treeInfo.database._id,
-                                  'scid': treeInfo.schema._id,
-                                  'func_id': treeInfo.edbfunc._id,
-                                 });
-                    }
-                    else if (d._type == "edbproc") {
+                      _Url = url_for('debugger.set_arguments', {
+                        'sid': treeInfo.server._id,
+                        'did': treeInfo.database._id,
+                        'scid': treeInfo.schema._id,
+                        'func_id': treeInfo.edbfunc._id,
+                      });
+                    } else if (d._type == 'edbproc') {
                       // Get the existing function parameters available from sqlite database
-                      var _Url = url_for('debugger.set_arguments', {
-                                  'sid': treeInfo.server._id,
-                                  'did': treeInfo.database._id,
-                                  'scid': treeInfo.schema._id,
-                                  'func_id': treeInfo.edbproc._id,
-                                 });
+                      _Url = url_for('debugger.set_arguments', {
+                        'sid': treeInfo.server._id,
+                        'did': treeInfo.database._id,
+                        'scid': treeInfo.schema._id,
+                        'func_id': treeInfo.edbproc._id,
+                      });
                     }
 
                     $.ajax({
                       url: _Url,
                       method: 'POST',
-                      data:{'data':JSON.stringify(sqlite_func_args_list)},
-                      success: function(res) {
+                      data: {
+                        'data': JSON.stringify(sqlite_func_args_list),
                       },
-                      error: function(e) {
+                      success: function() {},
+                      error: function() {
                         Alertify.alert(
                           gettext('Debugger Error'),
                           gettext('Unable to set the arguments on the server')
                         );
-                      }
+                      },
                     });
                   },
                   error: function(e) {
@@ -697,46 +788,49 @@ define([
                       gettext('Debugger Target Initialization Error'),
                       e.responseJSON.errormsg
                     );
-                  }
+                  },
                 });
-              }
-              else {
+              } else {
                 // If the debugging is started again then we should only set the arguments and start the listener again
-                var baseUrl = url_for('debugger.start_listener', {'trans_id': self.data.trans_id});
+                baseUrl = url_for('debugger.start_listener', {
+                  'trans_id': self.data.trans_id,
+                });
 
                 $.ajax({
                   url: baseUrl,
                   method: 'POST',
-                  data:{'data':JSON.stringify(args_value_list)},
-                  success: function(res) {
+                  data: {
+                    'data': JSON.stringify(args_value_list),
                   },
+                  success: function() {},
                   error: function(e) {
                     Alertify.alert(
                       gettext('Debugger Listener Startup Error'),
                       e.responseJSON.errormsg
                     );
-                  }
+                  },
                 });
 
                 // Set the new input arguments given by the user during debugging
                 var _Url = url_for('debugger.set_arguments', {
-                            'sid': self.data.server_id,
-                            'did': self.data.database_id,
-                            'scid': self.data.schema_id,
-                            'func_id': self.data.function_id
-                           });
+                  'sid': self.data.server_id,
+                  'did': self.data.database_id,
+                  'scid': self.data.schema_id,
+                  'func_id': self.data.function_id,
+                });
                 $.ajax({
                   url: _Url,
                   method: 'POST',
-                  data:{'data':JSON.stringify(sqlite_func_args_list)},
-                  success: function(res) {
+                  data: {
+                    'data': JSON.stringify(sqlite_func_args_list),
                   },
-                  error: function(e) {
+                  success: function() {},
+                  error: function() {
                     Alertify.alert(
                       gettext('Debugger Error'),
                       gettext('Unable to set the arguments on the server')
                     );
-                  }
+                  },
                 });
 
               }
@@ -744,15 +838,15 @@ define([
               return true;
             }
 
-            if (e.button.text === "Cancel") {
+            if (e.button.text === 'Cancel') {
               //close the dialog...
               return false;
             }
           },
-          build:function() {
+          build: function() {
             Alertify.pgDialogBuild.apply(this);
           },
-          prepare:function() {
+          prepare: function() {
             // Add our class to alertify
             $(this.elements.body.childNodes[0]).addClass(
               'alertify_tools_dialog_properties obj_properties'
@@ -764,8 +858,7 @@ define([
             */
             if (this.func_args_data.length == 0) {
               this.__internal.buttons[0].element.disabled = true;
-            }
-            else {
+            } else {
               this.__internal.buttons[0].element.disabled = false;
             }
 
@@ -773,45 +866,42 @@ define([
              Listen to the grid change event so that if any value changed by user then we can enable/disable the
              debug button.
             */
-            this.grid.listenTo(this.debuggerInputArgsColl,"backgrid:edited",
+            this.grid.listenTo(this.debuggerInputArgsColl, 'backgrid:edited',
               (function(obj) {
 
                 return function() {
 
-                  var self = this;
                   var enable_btn = false;
 
-                  for (var    i = 0; i < this.collection.length; i++ ) {
+                  for (var i = 0; i < this.collection.length; i++) {
 
                     // TODO: Need to check the "NULL" and "Expression" column value to enable/disable the "Debug" button
-                    if (this.collection.models[i].get('value') == "" ||
-                        this.collection.models[i].get('value') == null ||
-                        this.collection.models[i].get('value') == undefined) {
-                          enable_btn = true;
-
-                          if (this.collection.models[i].get('use_default')) {
-                            obj.__internal.buttons[0].element.disabled = false;
-                          }
-                          else{
-                            obj.__internal.buttons[0].element.disabled = true;
-                            break;
-                          }
+                    if (this.collection.models[i].get('value') == '' ||
+                      this.collection.models[i].get('value') == null ||
+                      this.collection.models[i].get('value') == undefined) {
+                      enable_btn = true;
+
+                      if (this.collection.models[i].get('use_default')) {
+                        obj.__internal.buttons[0].element.disabled = false;
+                      } else {
+                        obj.__internal.buttons[0].element.disabled = true;
+                        break;
+                      }
                     }
                   }
                   if (!enable_btn)
                     obj.__internal.buttons[0].element.disabled = false;
-                }
-              }
-              )(this)
+                };
+              })(this)
             );
-          }
+          },
         };
       });
     }
 
-    Alertify.debuggerInputArgsDialog('Debugger',args, restart_debug).resizeTo('60%', '60%');
+    Alertify.debuggerInputArgsDialog('Debugger', args, restart_debug).resizeTo('60%', '60%');
 
   };
 
   return res;
-});
+});
\ No newline at end of file
